function SetTemplateParameters
% SetTemplateParameters - Set parameters for each template.
% 
%   Parameters are hard coded in this .m file. 
%   Please directly edit the code.
%
%   The parameters include: 
%       1) category folder name
%       2) category name to be displayed in latex and html document
%       3) template size as height by width
%       4) number of elements in active basis template
%       5) number of elements in adaboost template
%       6) scale of Gabor elements
%   And the parameters vary with different categories.

count = 1;
templateParameters(count).category = 'car';
templateParameters(count).category_str = 'car';
templateParameters(count).templateSize = [80 160];
templateParameters(count).nElement_activebasis = 40;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'cow';
templateParameters(count).category_str = 'cow';
templateParameters(count).templateSize = [100 140];
templateParameters(count).nElement_activebasis = 40;
templateParameters(count).nElement_adaboost = 75;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'women_model1';
templateParameters(count).category_str = 'lady models';
templateParameters(count).templateSize = [150 100];
templateParameters(count).nElement_activebasis = 50;
templateParameters(count).nElement_adaboost = 90;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'pigeon';
templateParameters(count).category_str = 'pigeon';
templateParameters(count).templateSize = [120 120];
templateParameters(count).nElement_activebasis = 35;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'zebra';
templateParameters(count).category_str = 'zebra';
templateParameters(count).templateSize = [100 120];
templateParameters(count).nElement_activebasis = 35;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 1.0;

count = count + 1;
templateParameters(count).category = 'giraff';
templateParameters(count).category_str = 'giraff';
templateParameters(count).templateSize = [150 80];
templateParameters(count).nElement_activebasis = 36;
templateParameters(count).nElement_adaboost = 56;
templateParameters(count).GaborScale = 0.9;

count = count + 1;
templateParameters(count).category = 'elephant_side';
templateParameters(count).category_str = 'elephant (side view)';
templateParameters(count).templateSize = [100 120];
templateParameters(count).nElement_activebasis = 30;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 1.0;

count = count + 1;
templateParameters(count).category = 'elephant_frontal';
templateParameters(count).category_str = 'elephant (frontal view)';
templateParameters(count).templateSize = [120 120];
templateParameters(count).nElement_activebasis = 36;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.9;

count = count + 1;
templateParameters(count).category = 'lion';
templateParameters(count).category_str = 'lion';
templateParameters(count).templateSize = [100 150];
templateParameters(count).nElement_activebasis = 36;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 1.0;

count = count + 1;
templateParameters(count).category = 'bear';
templateParameters(count).category_str = 'bear';
templateParameters(count).templateSize = [100 150];
templateParameters(count).nElement_activebasis = 40;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'deer';
templateParameters(count).category_str = 'deer';
templateParameters(count).templateSize = [120 120];
templateParameters(count).nElement_activebasis = 40;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'head_shoulder';
templateParameters(count).category_str = 'head-shoulder';
templateParameters(count).templateSize = [85 127];
templateParameters(count).nElement_activebasis = 32;
templateParameters(count).nElement_adaboost = 50;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'catHead';
templateParameters(count).category_str = 'cat head';
templateParameters(count).templateSize = [120 120];
templateParameters(count).nElement_activebasis = 56;
templateParameters(count).nElement_adaboost = 75;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'wolfHead';
templateParameters(count).category_str = 'wolf head';
templateParameters(count).templateSize = [120 120];
templateParameters(count).nElement_activebasis = 36;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'horse';
templateParameters(count).category_str = 'horse';
templateParameters(count).templateSize = [100 125];
templateParameters(count).nElement_activebasis = 32;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

count = count + 1;
templateParameters(count).category = 'butterfly';
templateParameters(count).category_str = 'butterfly';
templateParameters(count).templateSize = [100 150];
templateParameters(count).nElement_activebasis = 36;
templateParameters(count).nElement_adaboost = 60;
templateParameters(count).GaborScale = 0.7;

% save
save('template_params.mat');


